Bug 832388 - [abrt] keepassx-0.4.3-5.fc17: KeepassGroupView::updateIcons: Process /usr/bin/keepassx was killed by signal 11 (SIGSEGV)
[abrt] keepassx-0.4.3-5.fc17: KeepassGroupView::updateIcons: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
abrt_hash:60daded4051356e943ce5d3789f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 05:55 EDT by Oleg Tsarev
Modified: 2013-07-31 20:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.47 KB, text/plain)
2012-06-15 05:56 EDT, Oleg Tsarev
no flags Details
File: backtrace (121.94 KB, text/plain)
2012-06-15 05:56 EDT, Oleg Tsarev
no flags Details
File: maps (50.45 KB, text/plain)
2012-06-15 05:56 EDT, Oleg Tsarev
no flags Details
File: dso_list (10.09 KB, text/plain)
2012-06-15 05:56 EDT, Oleg Tsarev
no flags Details
File: build_ids (4.08 KB, text/plain)
2012-06-15 05:56 EDT, Oleg Tsarev
no flags Details

  None (edit)
Description Oleg Tsarev 2012-06-15 05:55:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        keepassx
comment:        I tried to assign to subgroup custom icon in png format with size 128x128
crash_function: KeepassGroupView::updateIcons
executable:     /usr/bin/keepassx
kernel:         3.4.0-1.fc17.x86_64
pid:            2626
pwd:            /home/oleg
time:           Fri 15 Jun 2012 01:37:07 PM MSK
uid:            1000
username:       oleg

backtrace:      Text file, 124864 bytes
build_ids:      Text file, 4182 bytes
core_backtrace: Text file, 6621 bytes
dso_list:       Text file, 10335 bytes
maps:           Text file, 51656 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/oleg/5

environ:
:XDG_VTNR=3
:XDG_SESSION_ID=5
:HOSTNAME=t510
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:XDG_SESSION_COOKIE=19493c5a8732b5a3f790caa800000022-1339752509.970264-48658412
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/oleg/keyring-TWdQDg
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=oleg
:LD_LIBRARY_PATH=/storage/work/scidb/bin:/usr/lib/jvm/jre/lib/amd64/:
:USERNAME=oleg
:MAIL=/var/spool/mail/oleg
:PATH=/storage/work/scidb/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/oleg/.local/bin:/home/oleg/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/oleg
:XMODIFIERS=@im=none
:'EDITOR=/usr/bin/emacs -nw'
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1705
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:'PS1=\\u (\\j) \\w\\$ '
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/oleg
:SHLVL=1
:LOGNAME=oleg
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CxxtZERkYg,guid=66c9df4e8081810f72bfa278000000e5
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BROWSER=firefox
:WINDOWPATH=3
:XDG_RUNTIME_DIR=/run/user/oleg
:DISPLAY=:0.0
:SCIDB_VER=12.7
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-oleg-Q2OwJk/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1707,unix/unix:/tmp/.ICE-unix/1707
:GPG_AGENT_INFO=/run/user/oleg/keyring-TWdQDg/gpg:0:1
:SSH_AUTH_SOCK=/run/user/oleg/keyring-TWdQDg/ssh

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62095                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62095                62095                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/oleg/.xsession-errors
:2:/home/oleg/.xsession-errors
:3:anon_inode:[eventfd]
:4:pipe:[34347]
:5:pipe:[34347]
:6:socket:[34348]
:7:socket:[34349]
:8:socket:[34352]
:9:socket:[34353]
:10:/home/oleg/Dropbox/keepass.kdb
:11:socket:[36943]
:12:anon_inode:inotify
:13:socket:[38446]

var_log_messages:
:Jun 15 13:24:07 t510 gnome-session[1338]: WARNING: Unable to find desktop file 'keepassx.desktop': Valid key file could not be found in search dirs
:Jun 15 13:24:07 t510 gnome-session[1338]: WARNING: Unable to find desktop file 'gnome-keepassx.desktop': Valid key file could not be found in search dirs
:Jun 15 13:37:07 t510 kernel: [  745.247924] keepassx[2626]: segfault at 50 ip 000000000045cf43 sp 00007fffa5254b90 error 4 in keepassx[400000+f8000]
:Jun 15 13:37:08 t510 abrt[4251]: Saved core dump of pid 2626 (/usr/bin/keepassx) to /var/spool/abrt/ccpp-2012-06-15-13:37:07-2626 (61767680 bytes)
Comment 1 Oleg Tsarev 2012-06-15 05:56:01 EDT
Created attachment 592089 [details]
File: core_backtrace
Comment 2 Oleg Tsarev 2012-06-15 05:56:04 EDT
Created attachment 592090 [details]
File: backtrace
Comment 3 Oleg Tsarev 2012-06-15 05:56:06 EDT
Created attachment 592091 [details]
File: maps
Comment 4 Oleg Tsarev 2012-06-15 05:56:08 EDT
Created attachment 592092 [details]
File: dso_list
Comment 5 Oleg Tsarev 2012-06-15 05:56:10 EDT
Created attachment 592093 [details]
File: build_ids
Comment 6 Oleg Tsarev 2012-06-15 05:58:31 EDT
I tried to set icon group - used png-file 16x16 pixels

backtrace_rating: 4
Package: keepassx-0.4.3-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 18:30:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 20:27:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.